{
 /***************************************************************************
                               mweditdebug.inc    
                             -------------------
 Trying to reduce writeln induced garbage from appearing to people
 who don't want to see this crap.
 Aim to produce a program that generates this file and wraps any
 WriteLn statements found in the source file. Will only be useful
 for non commandline classes and units as it might try to wrap
 valid program output

          Initial Revision  : Sat Mar 4 17:43:32 GMT 2000
          Author            : Peter Dyson (peter@skel.demon.co.uk)

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
}

{---------------------------------------------------------------------------
        global debug directives for mwedit components

 set DEBUGALL and you get the whole lot! Be warned this could generate
 shitloads of traces. set NODEBUGALL to turn everything off
 If neither are set then a finer granularity of messages can be selected 
 through the conditionals below.
 ---------------------------------------------------------------------------}


//{$DEFINE  DEBUGALL}
{set this to keep your debug settings but still turn everything off
 this overrides the debugall switch above}
{$DEFINE  NODEBUGALL}


{---------------------------------------------------------------------------
        Unit level debug directives for mwedit components
 As this is used for more than one unit, we allow unit level manipulation
 in this section.        
 ---------------------------------------------------------------------------}

// comment these in or out note all will override
// individual settings
{$DEFINE MWCUSTOMEDIT}
{$DEFINE MWCUSTOMEDITALL}

//{$DEFINE UTEXTDRAWER}
//{$DEFINE UTEXTDRAWERALL}


{overrides for all no need to touch these just add new defines here}
{$IFDEF DEBUGALL}
  {$DEFINE MWCUSTOMEDITALL}
  {$DEFINE UTEXTDRAWERALL}
{$ENDIF}

{$IFDEF NODEBUGALL}
  {$UNDEF MWCUSTOMEDITALL}
  {$UNDEF MWCUSTOMEDIT}
  {$UNDEf UTEXTDRAWERALL}
  {$UNDEF UTEXTDRAWER}
{$ENDIF}

{module level defines, you can define as many different debug scenarios here
 as you want, be sure to add to the module level overrides as well}

{---------------------------------------------------------------------------
Debug directives for mwcustomedit.pas
 ---------------------------------------------------------------------------}
// comment/uncomment individual routines here 
{$IFDEF MWCUSTOMEDIT}
 {$DEFINE TMWCUSTOMEDIT_CREATE_DEBUG}
{$ENDIF}


{overrides for all no need to touch these just add new defines here}
{$IFDEF MWCUSTOMEDITALL}  
  {$DEFINE TMWCUSTOMEDIT_CREATE_DEBUG}
{$ENDIF}
{$IFDEF NODEBUGALL}
   {$UNDEF TMWCUSTOMEDIT_CREATE_DEBUG}
{$ENDIF}

{---------------------------------------------------------------------------
 END Debug directives for mwcustomedit.pas
 ---------------------------------------------------------------------------}



{---------------------------------------------------------------------------
Debug directives for utextdrawer.pas
 ---------------------------------------------------------------------------}
// comment/uncomment individual routines here 
{$IFDEF UTEXTDRAWER}
  {$DEFINE UTEXTDRAWER_GETFONTSINFOMANAGER}
  {$DEFINE UTEXTDRAWER_FONTSINFOMANAGER_CREATE}        
  {$DEFINE UTEXTDRAWER_FONTSINFOMANAGER_FINDFONTSINFO}
  {$DEFINE UTEXTDRAWER_FONTSINFOMANAGER_RETRIEVELOGFONTFORCOMPARISON}
  {$DEFINE UTEXTDRAWER_FONTSTOCK_CREATE}
  {$DEFINE UTEXTDRAWER_FONTSTOCK_DESTROY}
  {$DEFINE UTEXTDRAWER_FONTSTOCK_INTERNALCREATEFONT}
  {$DEFINE UTEXTDRAWER_FONTSTOCK_RELEASEFONTINFO}
  {$DEFINE UTEXTDRAWER_FONTSTOCK_SETBASEFONT}
  {$DEFINE UTEXTDRAWER_TEXTDRAWER_DOSETCHAREXTRA}
{$ENDIF}

{overrides for all no need to touch these just add new defines here}
{$IFDEF UTEXTDRAWERALL}
  {$DEFINE UTEXTDRAWER_GETFONTSINFOMANAGER_DEBUG}
  {$DEFINE UTEXTDRAWER_FONTSINFOMANAGER_CREATE}
  {$DEFINE UTEXTDRAWER_FONTSINFOMANAGER_FINDFONTSINFO}
  {$DEFINE UTEXTDRAWER_FONTSINFOMANAGER_RETRIEVELOGFONTFORCOMPARISON}
  {$DEFINE UTEXTDRAWER_FONTSTOCK_CREATE}
  {$DEFINE UTEXTDRAWER_FONTSTOCK_DESTROY}
  {$DEFINE UTEXTDRAWER_FONTSTOCK_INTERNALCREATEFONT}
  {$DEFINE UTEXTDRAWER_FONTSTOCK_RELEASEFONTINFO}
  {$DEFINE UTEXTDRAWER_FONTSTOCK_SETBASEFONT}
  {$DEFINE UTEXTDRAWER_TEXTDRAWER_DOSETCHAREXTRA}
{$ENDIF}

{$IFDEF NODEBUGALL}
  {$UNDEF UTEXTDRAWER_GETFONTSINFOMANAGER_DEBUG}
  {$UNDEF UTEXTDRAWER_FONTSINFOMANAGER_CREATE}
  {$UNDEF UTEXTDRAWER_FONTSINFOMANAGER_FINDFONTSINFO}
  {$UNDEF UTEXTDRAWER_FONTSINFOMANAGER_RETRIEVELOGFONTFORCOMPARISON}
  {$UNDEF UTEXTDRAWER_FONTSTOCK_CREATE}
  {$UNDEF UTEXTDRAWER_FONTSTOCK_DESTROY}
  {$UNDEF UTEXTDRAWER_FONTSTOCK_INTERNALCREATEFONT}
  {$UNDEF UTEXTDRAWER_FONTSTOCK_RELEASEFONTINFO}
  {$UNDEF UTEXTDRAWER_FONTSTOCK_SETBASEFONT}
  {$UNDEF UTEXTDRAWER_TEXTDRAWER_DOSETCHAREXTRA}
{$ENDIF}
{---------------------------------------------------------------------------
 END Debug directives for utextdrawer.pas
 ---------------------------------------------------------------------------}


{---------------------------------------------------------------------------
TEMPLATE Debug directives for XXX.pas
 ---------------------------------------------------------------------------}
{$IFDEF xxx}
{$ENDIF}

{$IFDEF XXXALL}
{$ENDIF}
 
{$IFDEF NODEBUGALL}
{$ENDIF}
 
